Create a Company

Business or Personal?

When creating a company, take note that there are two different types of companies: business and personal.

  • You would create a company as business when they are acting as a sole proprietorship, LLC, or corporation.
  • You would create a company as personal when they are acting as a contractor or a freelancer.

Also, take note that the parameters available to configure the company are slightly different between the two types of companies. We've documented these differences in the request schema.

What's in a name?

When creating a company, we allow you to set different names based on the type of company.

If the business_name for your company is incorrect, it can cause issues for payments.

namebusiness_name
businessSet from business_name
personalSet from contact's first_name
and last_name

When working with many personal companies, it's common to run into naming collisions.

We recommend including some sort of unique ID in the name such as Jane Doe [bHvRzbRA].

Your finance team might have preferences here - Check with them 💪.

Contacts

Companies have Contacts that are the recipient of messages pertaining to the Company.

These resources are created when you create a Company.

A Company can have Contacts added, archived and updated at a later time via the Contacts APIs.

Body Params
uuid
required

The ID of a Team Member performing this action. This will be displayed in the Routable Dashboard.

string
required
length ≤ 128

The Company's business name for banking and tax purposes.

The Company's display_name, if not explicitly set, will be automatically set based on the business_name.

boolean

Defaults to true if you use tax collection in your Routable workspace, false otherwise.

contacts
array of objects
length ≥ 1

A list of Contacts to add to the Company. Required if is_customer is true.

contacts
string
enum
length between 2 and 2
Defaults to US

Country code in ISO 3166-1 Alpha-2 format.

string
length ≤ 128

The Company's name for display in the Routable Dashboard.

string
length ≥ 1

A unique ID from your system to identify this Company.

government_id
object | null

Refers to the government ID for this business. The type and value will vary depending on country and company type.

boolean
Defaults to false

Whether this Company is a customer. One or both of is_customer and is_vendor must be true.

boolean
Defaults to false

Whether the Company is a vendor. One or both of is_customer and is_vendor must be true.

ledger
object

Stores this Company's metadata relating it to your accounting software.

string

If specified, this value will override and set the name of this Company in your accounting software. If unset, this will be set to the value of business_name.

registered_address
object
string
enum
required

The type of Company.

Allowed:
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json